<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__stc__ble__hci__tx__packet__info__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_stc_ble_hci_tx_packet_info_t</compoundname>
    <includes local="no">cy_ble_stack.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__stc__ble__hci__tx__packet__info__t_1ab6d8bbed4b3a739fc0b8ef851ab8e519" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t *</type>
        <definition>uint8_t* cy_stc_ble_hci_tx_packet_info_t::data</definition>
        <argsstring />
        <name>data</name>
        <briefdescription>
<para>Buffer to hold the HCI packet HCI Command Packet guide: </para>        </briefdescription>
        <detaileddescription>
<para>0 4 8 12 16 20 24 28 32 Octet 0 Octet 1 Octet 2 Octet 3 +--------<mdash />+--------<mdash />+--------<mdash />+--------<mdash />+ | Opcode | Parameter | | ---------------------<mdash />| Total |Parameter 0| | OCF | OGF | Length | | +--------<mdash />+--------<mdash />+--------<mdash />+--------<mdash />+ |Parameter 1| | Parameter ... | +--------<mdash />+--------<mdash />+--------<mdash />+--------<mdash />+ | | | * | | * | | * | | | +--------<mdash />+--------<mdash />+--------<mdash />+--------<mdash />+ | Param N-1 | Parameter N | +--------<mdash />+--------<mdash />+--------<mdash />+--------<mdash />+</para><para>HCI Event Packet guide:</para><para>0 4 8 12 16 20 24 28 32 Octet 0 Octet 1 Octet 2 Octet 3 +--------<mdash />+--------<mdash />+--------<mdash />+--------<mdash />+ |Event Code | Parameter | | | | | Total |Parameter 0|Parameter 1| | | Length | | | +--------<mdash />+--------<mdash />+--------<mdash />+--------<mdash />+ |Parameter 1| Parameter ... | +--------<mdash />+--------<mdash />+--------<mdash />+--------<mdash />+ | | | * | | * | | * | | | +--------<mdash />+--------<mdash />+--------<mdash />+--------<mdash />+ | Param N-1 | Parameter N | +--------<mdash />+--------<mdash />+--------<mdash />+--------<mdash />+</para><para>HCI ACL Packet Guide:</para><para>0 4 8 +--------------------<mdash />+--------<mdash />+----------<mdash />+ | HCI HEADER | L2CAP HEADER | | |(only in Start of packet)| |--------------------<mdash />|----------------------<mdash />| |PDU Octet 1 |2 |3 |4 |5 |6 | ***** | |--------------------<mdash />+----------------------<mdash />| | * | | * | | * | |--------------------<mdash />+----------------------<mdash />| | ****|N-2 |N-1 |PDU Octet N (upto 247)| +--------------------<mdash />+----------------------<mdash />+</para><para>The ACL Packet HCI Header contains the following information: +___________________________________________________+ |<ndash />Conn Handle (12 bits)<ndash />|<ndash />Pkt Boundary (2 bits)<ndash />| |----------------------<mdash />|----------------------<mdash />+ |<ndash />HCI_LLID(2 bits)---<mdash /> |<ndash />Length(16 bits)<ndash /> | +----------------------<mdash />|----------------------<mdash />+</para><para>Note:<orderedlist>
<listitem><para>Packet Boundary data indicates the following: +----------<mdash />+---------------<mdash />+---------------<mdash />+ | | Application to | Controller to | | | Controller | Application | +----------<mdash />|---------------<mdash />|---------------<mdash />| | 0x0u | Start of PDU | RESERVED | | 0x1u | Continuation PDU | RESERVED | | 0x2u | RESERVED | Start of PDU | | 0x3u | RESERVED | Continuation PDU | +----------<mdash />+---------------<mdash />+---------------<mdash />+</para></listitem><listitem><para>HCI_LLID data indicates the following: +----------<mdash />+---------------<mdash />| | 0x0u | Start of PDU | | 0x1u | Continuation PDU | | 0x2u | RESERVED | | 0x3u | RESERVED | ------------------------------<mdash />|</para></listitem><listitem><para>The value in the Length field does NOT include L2CAP header length (4 bytes). </para></listitem></orderedlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack.h" bodystart="1849" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack.h" line="1849" />
      </memberdef>
      <memberdef id="structcy__stc__ble__hci__tx__packet__info__t_1ac0164014935071db8d32ce3fe5f14e47" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t cy_stc_ble_hci_tx_packet_info_t::dataLength</definition>
        <argsstring />
        <name>dataLength</name>
        <briefdescription>
<para>Length of the parameters in HCI packet buffer in bytes. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack.h" bodystart="1854" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack.h" line="1854" />
      </memberdef>
      <memberdef id="structcy__stc__ble__hci__tx__packet__info__t_1a652a9437417245fbb3f97979548d7bed" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_ble_hci_tx_packet_info_t::packetType</definition>
        <argsstring />
        <name>packetType</name>
        <briefdescription>
<para>HCI packet type : +___________________________________________+ | Packet Type | Value | |_______________________________|___________| | HCI Command packet type | 0x1 | | HCI ACL data packet type | 0x2 | | HCI Synchronous packet type | 0x3 | | HCI Event packet type | 0x4 | +----------------------------<mdash />|--------<mdash />+. </para>        </briefdescription>
        <detaileddescription>
<para>Note: HCI Synchronous packet type (0x3) HCI packets are not supported by PSoC 6 BLE </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack.h" bodystart="1869" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack.h" line="1869" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Standard HCI command/data packet. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <location bodyend="1871" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack.h" bodystart="1757" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack.h" line="1758" />
    <listofallmembers>
      <member prot="public" refid="structcy__stc__ble__hci__tx__packet__info__t_1ab6d8bbed4b3a739fc0b8ef851ab8e519" virt="non-virtual"><scope>cy_stc_ble_hci_tx_packet_info_t</scope><name>data</name></member>
      <member prot="public" refid="structcy__stc__ble__hci__tx__packet__info__t_1ac0164014935071db8d32ce3fe5f14e47" virt="non-virtual"><scope>cy_stc_ble_hci_tx_packet_info_t</scope><name>dataLength</name></member>
      <member prot="public" refid="structcy__stc__ble__hci__tx__packet__info__t_1a652a9437417245fbb3f97979548d7bed" virt="non-virtual"><scope>cy_stc_ble_hci_tx_packet_info_t</scope><name>packetType</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>